## uwsgi 0.9.8

=== Makefile ===
all:
	python uwsgiconfig.py --build
