=== debian/control ===
Source: uwsgi
Section: web
Priority: extra
Maintainer: Leonid Borisenko <leo.borisenko@gmail.com>
Build-Depends:
 cdbs,
 debhelper (>= 8),
 apache2-threaded-dev,
 erlang-dev,
 help2man,
 javahelper,
 libapr1-dev,
 libaprutil1-dev,
 libjansson-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 libluajit-5.1-dev [i386 amd64 kfreebsd-i386],
 libperl-dev,
 libsqlite3-dev,
 libxml2-dev,
 libyaml-dev,
 libzmq-dev,
 pkg-config,
 python,
 python-all-dev,
 python-greenlet-dev [amd64 i386 mips powerpc s390],
 python3-all-dev,
 openjdk-6-jdk,
 ruby1.8,
 ruby1.8-dev,
 ruby1.9.1,
 ruby1.9.1-dev,
 uuid-dev
Standards-Version: 3.9.2
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: git://git.debian.org/collab-maint/uwsgi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/uwsgi.git

Package: uwsgi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 lsb-base
Recommends: sqlite3
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package installs uWSGI core binary and:
   * init.d script for running uWSGI daemon(s) with options defined in custom
     user-created configuration files
   * infrastructure for running daemons (like common locations of communication
     sockets, logs)

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, uwsgi-core (= ${binary:Version})
Suggests: uwsgi-plugins-all
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nginx-full | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-plugins-all, uwsgi-extra
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides:
   * executable uWSGI core binary (built without any embedded plugins)
   * uWSGI usage examples
   * uWSGI test suite

Package: uwsgi-plugins-all
Architecture: any
Depends: ${misc:Depends},
 uwsgi-infrastructure-plugins (= ${binary:Version}),
 uwsgi-app-integration-plugins (= ${binary:Version}),
 uwsgi-plugin-fiber (= ${binary:Version}),
 uwsgi-plugin-greenlet-python (= ${binary:Version})
   [amd64 i386 mips powerpc s390],
 uwsgi-plugin-pyerl-python (= ${binary:Version}),
 uwsgi-plugin-pyerl-python3 (= ${binary:Version}),
 uwsgi-plugin-ugreen (= ${binary:Version})
Description: all available plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides all available plugins for uWSGI:
   * infrastructure plugins (fastrouter, HTTP serving, RPC, etc.)
   * plugins for integration of uWSGI and application (CGI, PSGI, Rack, WSGI,
     etc.)
   * fiber loop engine, greenlet (Python), pyerl (Python/Python 3), uGreen

Package: uwsgi-infrastructure-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-admin (= ${binary:Version}),
 uwsgi-plugin-cache (= ${binary:Version}),
 uwsgi-plugin-echo (= ${binary:Version}),
 uwsgi-plugin-fastrouter (= ${binary:Version}),
 uwsgi-plugin-http (= ${binary:Version}),
 uwsgi-plugin-nagios (= ${binary:Version}),
 uwsgi-plugin-ping (= ${binary:Version}),
 uwsgi-plugin-rpc (= ${binary:Version})
Description: infrastructure plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides infrastructure plugins for uWSGI:
   * admin, cache, echo, fastrouter, HTTP serving, Nagios, ping, RPC

Package: uwsgi-app-integration-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-cgi (= ${binary:Version}),
 uwsgi-plugin-erlang (= ${binary:Version}),
 uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}),
 uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}),
 uwsgi-plugin-lua5.1 (= ${binary:Version}),
 uwsgi-plugin-luajit (= ${binary:Version}) [i386 amd64 kfreebsd-i386],
 uwsgi-plugin-psgi (= ${binary:Version}),
 uwsgi-plugin-python (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.8 (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.9.1 (= ${binary:Version})
Description: plugins for integration of uWSGI and application
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides plugins for integration of uWSGI and
 application:
   * CGI, Erlang, Java (OpenJDK 6), JWSGI (OpenJDK 6),
     Lua WSAPI (Lua 5.1/LuaJIT), Perl PSGI, Python WSGI (Python/Python 3),
     Rack (Ruby 1.8/Ruby 1.9.1)

Package: uwsgi-plugin-admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: admin plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides admin plugin for uWSGI.

Package: uwsgi-plugin-cache
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: cache plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides cache plugin for uWSGI.

Package: uwsgi-plugin-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: CGI plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides CGI plugin for uWSGI.

Package: uwsgi-plugin-echo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: echo plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides echo plugin for uWSGI.

Package: uwsgi-plugin-erlang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: Erlang plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides Erlang plugin for uWSGI.

Package: uwsgi-plugin-fastrouter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: fastrouter plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides fastrouter plugin for uWSGI.

Package: uwsgi-plugin-fiber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 uwsgi-plugin-rack-ruby1.9.1 (= ${binary:Version})
Description: fiber loop engine plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides Ruby 1.9 fiber loop engine plugin for uWSGI. Fibers are
 a form of coroutine, useful for implementing cooperative multitasking in your
 Ruby 1.9.x apps.

Package: uwsgi-plugin-greenlet-python
Architecture: amd64 i386 mips powerpc s390
Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet,
 uwsgi-plugin-python (= ${binary:Version})
Description: greenlet plugin for uWSGI (Python)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides greenlet plugin for uWSGI with Python WSGI plugin.

Package: uwsgi-plugin-http
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: HTTP server plugin for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
