=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

# Common variables
# ================

PYTHON=/usr/bin/python
APXS2=/usr/bin/apxs2
APR_CONFIG=/usr/bin/apr-config
APU_CONFIG=/usr/bin/apu-config
UWSGI_BUILDER = $(CURDIR)/uwsgiconfig.py

# Dotted versions of Python runtimes (like 'X.Y').
PYTHON_VERS_DOTTED=$(shell pyversions -vs)
PYTHON_DEFAULT_DOTTED=$(shell pyversions -dv)
PYTHON3_VERS_DOTTED=$(shell py3versions -vs)
PYTHON3_DEFAULT_DOTTED=$(shell py3versions -dv)

# Dotless versions of Python runtimes (like 'XY').
PYTHON_VERS=$(subst .,,$(PYTHON_VERS_DOTTED))
PYTHON_DEFAULT=$(subst .,,$(PYTHON_DEFAULT_DOTTED))
PYTHON3_VERS=$(subst .,,$(PYTHON3_VERS_DOTTED))
PYTHON3_DEFAULT=$(subst .,,$(PYTHON3_DEFAULT_DOTTED))

# Search in debian/control for packages with name $(1)% and extract % in list.
list_pkgname_suffixes = $(strip \
	$(shell \
		grep "^Package: $(1)" $(CURDIR)/debian/control \
		| sed 's/Package: $(1)//' \
	) \
)

# Transform plugin's package name to plugin's name:
# * delete dots
# * replace '-' with '_'
# * replace 'openjdk_6' with 'openjdk6'
pkg_name_to_plugin_name = $(strip \
	$(subst openjdk_6,openjdk6,$(subst -,_,$(subst .,,$(1))) \
))

# List of plugins' packages names (without common prefix 'uwsgi-plugin-')
UWSGI_PLUGIN_PKGS_NAMES = $(call list_pkgname_suffixes,uwsgi-plugin-)

# List of plugins' names
UWSGI_PLUGINS_NAMES = $(call \
	pkg_name_to_plugin_name, $(UWSGI_PLUGIN_PKGS_NAMES))

UWSGI_PLUGINS_SRC_DIR = plugins

UWSGI_PLUGIN_PYTHON_PKG_KINDS = python python3

PARTICULARLY_BUILT_UWSGI_PLUGIN_PKGS = \
	$(UWSGI_PLUGIN_PYTHON_PKG_KINDS) \
	greenlet-python \
	jvm-openjdk-6 jwsgi-openjdk-6 \
	lua5.1 luajit \
	$(patsubst %,pyerl-%,$(UWSGI_PLUGIN_PYTHON_PKG_KINDS)) \
	rack-ruby1.8 rack-ruby1.9.1 fiber

ORDINARILY_BUILT_UWSGI_PLUGIN_PKGS := $(filter-out \
	$(PARTICULARLY_BUILT_UWSGI_PLUGIN_PKGS), $(UWSGI_PLUGIN_PKGS_NAMES))

# List of packaged Apache2 modules' names
LIBAPACHE2_MODS_NAMES = uwsgi ruwsgi

ruwsgi_to_orig = $(subst ruwsgi,Ruwsgi,$(1))

# List of templates to instantiate for each libapache2-mod-X package
# There is special-case template, not listed here: uwsgi.load
LIBAPACHE2_MOD_PKG_TEMPLATES = install postinst prerm

UWSGI_CORE_DOCS_STAGING_DIR = $(CURDIR)/debian/uwsgi-core-docs-staging

# Discards directory-part of target and returns substring after last '-'
# character
target_name_tail = $(lastword $(subst -, ,$(notdir $(1))))

# From something like:
#   $(call <...>, uwsgi-, $(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .dirs)
# makes list:
#   $(CURDIR)/debian/uwsgi-python.dirs $(CURDIR)/debian/uwsgi-python3.dirs
files_instantiated_in_debian_dir = $(addprefix \
	$(CURDIR)/debian/$(strip $(1)), $(addsuffix $(strip $(3)), $(strip $(2))) \
)

# CDBS-specific variables
# =======================

DEB_COMPRESS_EXCLUDE_uwsgi-core = .ini .lua .pl .png .psgi .py .ru .ws .xml \
                                  .yml
DEB_COMPRESS_EXCLUDE_uwsgi-extra = .class .java .rb .c

DEB_DH_STRIP_ARGS_uwsgi-core := --dbg-package=uwsgi-dbg
$(foreach PLUGIN_PKG_NAME, $(UWSGI_PLUGIN_PKGS_NAMES), $(eval \
	DEB_DH_STRIP_ARGS_uwsgi-plugin-$(PLUGIN_PKG_NAME) := --dbg-package=uwsgi-dbg\
))

# Rules
# =====

clean::
	# uWSGI executable binaries
	$(RM) $(CURDIR)/uwsgi-core $(CURDIR)/uwsgi-core-local
	for PLUGIN_NAME in $(UWSGI_PLUGINS_NAMES); do \
		$(RM) $(CURDIR)/uwsgi_$${PLUGIN_NAME}; \
	done
	for PYTHON_VERSION in $(PYTHON_VERS) $(PYTHON3_VERS); do \
		$(RM) $(CURDIR)/uwsgi_python$${PYTHON_VERSION}; \
	done
	# intermediate compiled files
	find $(CURDIR) \
		\! -path '$(CURDIR)/debian/*' \( -name '*.o' -o -name '*.pyc' \) -type f \
		-delete
	# plugins
	for PLUGIN_NAME in $(UWSGI_PLUGINS_NAMES); do \
		$(RM) $(CURDIR)/$${PLUGIN_NAME}_plugin.so; \
	done
	for PYVER in $(PYTHON_VERS) $(PYTHON3_VERS); do \
		$(RM) \
			$(CURDIR)/greenlet_python$${PYVER}_plugin.so \
			$(CURDIR)/pyerl_python$${PYVER}_plugin.so \
			$(CURDIR)/python$${PYVER}_plugin.so; \
	done
	# compiled Apache2 modules
	$(RM) -r $(CURDIR)/apache2/.libs
	$(RM) -r $(addprefix $(CURDIR)/apache2/mod_, \
		$(foreach module_name, $(LIBAPACHE2_MODS_NAMES), \
			$(addprefix $(call ruwsgi_to_orig, $(module_name)), .la .lo .slo) \
	))
	# instantiated build configurations
	$(RM) $(CURDIR)/debian/buildconf/uwsgi-plugin.ini
	# staging directory of uwsgi-core documentation
	$(RM) -r $(UWSGI_CORE_DOCS_STAGING_DIR)
	# instantiated uwsgi-plugin-X templates
	$(RM) $(call files_instantiated_in_debian_dir, \
		uwsgi-plugin-, $(filter-out jwsgi-openjdk-6, $(UWSGI_PLUGIN_PKGS_NAMES)), \
		.install \
	)
	for TEMPLATE_TYPE in links manpages postinst prerm; do \
		for INSTANTIATED_TEMPLATE in $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-, \
			$(ORDINARILY_BUILT_UWSGI_PLUGIN_PKGS) \
				lua5.1 luajit rack-ruby1.8 rack-ruby1.9.1, \
			.$${TEMPLATE_TYPE} \
		); do \
			if [ -f $(CURDIR)/debian/uwsgi-plugin.$${TEMPLATE_TYPE}.in ]; then \
				$(RM) $${INSTANTIATED_TEMPLATE}; \
			fi; \
		done; \
	done
	for TEMPLATE_TYPE in dirs links manpages postinst prerm; do \
		$(RM) $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-, $(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
		); \
		$(RM) $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-pyerl-, \
			$(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
		); \
	done
	for TEMPLATE_TYPE in postinst prerm; do \
		$(RM) $(call files_instantiated_in_debian_dir, \
			uwsgi-plugin-greenlet-, \
			$(UWSGI_PLUGIN_PYTHON_PKG_KINDS), .$${TEMPLATE_TYPE} \
		); \
	done
	for TEMPLATE_TYPE in links manpages; do \
		$(RM) $(CURDIR)/debian/uwsgi-plugin-jvm-openjdk-6.$${TEMPLATE_TYPE}; \
	done
	# instantiated libapache2-mod-X templates
	for TEMPLATE_TYPE in $(LIBAPACHE2_MOD_PKG_TEMPLATES); do \
		$(RM) $(call files_instantiated_in_debian_dir, \
			libapache2-mod-, $(LIBAPACHE2_MODS_NAMES), .$${TEMPLATE_TYPE} \
		); \
	done
	$(RM) $(addprefix $(CURDIR)/debian/, \
		$(foreach module_name, $(LIBAPACHE2_MODS_NAMES), \
			$(addsuffix .load,  $(call ruwsgi_to_orig, $(module_name))) \
	))
	# generated manpages
	$(RM) $(CURDIR)/debian/uwsgi-core.1
	$(RM) $(call files_instantiated_in_debian_dir, \
		uwsgi_, $(UWSGI_PLUGINS_NAMES), .1 \
	)
	$(RM) $(call files_instantiated_in_debian_dir, \
		uwsgi_python, $(PYTHON_VERS) $(PYTHON3_VERS), .1 \
	)
	# stampfiles
	$(RM) $(CURDIR)/debian/stamp-*

# uwsgi package
# -------------

binary-post-install/uwsgi::
	for SUBDIR in apps-available apps-enabled; do \
		cp \
			$(CURDIR)/debian/uwsgi.etc.$${SUBDIR}.README \
			$(CURDIR)/debian/$(cdbs_curpkg)/etc/$(cdbs_curpkg)/$${SUBDIR}/README; \
	done

# uwsgi-core package
# ------------------

build/uwsgi-core:: uwsgi-core

uwsgi-core:
	$(PYTHON) $(UWSGI_BUILDER) \
		--build $(CURDIR)/debian/buildconf/uwsgi-core.ini

install/uwsgi-core::
	test -e $(UWSGI_CORE_DOCS_STAGING_DIR) \
		|| mkdir $(UWSGI_CORE_DOCS_STAGING_DIR)
	cp -r $(CURDIR)/tests $(UWSGI_CORE_DOCS_STAGING_DIR)
	for SUBDIR in conffile jwsgi psgi rack router wsapi wsgi; do \
		mkdir -p $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/$${SUBDIR}; \
	done
	for FILE in logo_uWSGI.png mongrel2-uwsgi.conf myadmin.py simple_logger.py \
	            staticfilesnmp.py testsignals.py ugreenchat.py uwsgistatus.py \
	            websockets.py welcome.py; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples; \
	done
	for FILE in mega.xml multi.ini multi.xml sites.xml uwsgi.xml \
	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
	done
	cp -r $(CURDIR)/vassals $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile
	for FILE in utest.java; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/jwsgi; \
	done
	for FILE in config.ru config2.ru fibers.ru fibers.yml; do \
		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/rack; \
	done
	for FILE in router.lua uwsgirouter.py uwsgirouter2.py uwsgirouter3.py \
	            uwsgirouter4.py uwsgirouter5.py; do \
