## uwsgi 0.9.8.1

=== debian/changelog ===
uwsgi (0.9.8.1-1) unstable; urgency=low

  * New upstream version (0.9.8.1)
  * d/patches:
    - refresh
      apply_GCC_no_strict_aliasing_option_only_to_python_plugin_building.patch
    - remove obsolete (applied by upstream):
      - fix_automagical_plugin_loading.patch
      - fix_inherit_option_behavior.patch
      - fix_usage_of_proto_write_in_echo_plugin.patch
      - support_magic_variables_for_sqlite_config.patch
  * Add python-uwsgidecorators/python3-uwsgidecorators binary packages:
    - uwsgidecorators is a simple Python module that exports a bunch of
      decorators to allow a more elegant approach to uWSGI API. Provided
      decorators helps with creating of RPC functions, timers, filemonitors.
    - d/source.lintian-overrides has been added to override false positive
      warning of dh_python-is-obsolete
  * d/uwsgi-plugin-greenlet-python.prerm.in:
    - correct error in name of alternatives link group
      (replace 'uwsgi-plugin-greenlet' with 'uwsgi-plugin-greenlet-python')
      so as to fix process of uwsgi-plugin-greenlet-python package
      uninstallation (and pass piuparts test)
  * Make use of /run directory instead of /var/run:
    - it is backward-compatible change, as /var/run is symlinked to /run
    - /run is a new cross-distribution location for the storage of transient
      writable files needed from system startup to shutdown, but which do not
      require preserving across reboots. It has been appeared in Debian with
      initscripts upgrade to 2.88dsf-13.3.

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Sun, 26 Jun 2011 01:01:06 +0300
