=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Architecture: any
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
- lsb-base
+ lsb-base, initscripts (>= 2.88dsf-13.3)
 Recommends: sqlite3
 Description: fast, self-healing application container server
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -280,4 +280,3 @@
 Description: HTTP server plugin for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
- It is designed to be fully modular. This means that different plugins can be
