=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,14 @@
 PYTHON_DEFAULT=$(subst .,,$(PYTHON_DEFAULT_DOTTED))
 PYTHON3_VERS=$(subst .,,$(PYTHON3_VERS_DOTTED))
 PYTHON3_DEFAULT=$(subst .,,$(PYTHON3_DEFAULT_DOTTED))
+
+PYTHON_MAJOR_VER := 2
+PYTHON3_MAJOR_VER := 3
+
+# Standard directories, where dh_pythonX helper looking for Python modules.
+# Note: path is provided in debhelper format (without leading slash).
+PYTHON_DIST_PACKAGES_DIR = usr/lib/python$(PYTHON_DEFAULT_DOTTED)/dist-packages
+PYTHON3_DIST_PACKAGES_DIR = usr/lib/python3/dist-packages
 
 # Search in debian/control for packages with name $(1)% and extract % in list.
 list_pkgname_suffixes = $(strip \
@@ -111,6 +119,9 @@
 	# intermediate compiled files
 	find $(CURDIR) \
 		\! -path '$(CURDIR)/debian/*' \( -name '*.o' -o -name '*.pyc' \) -type f \
+		-delete
+	find $(CURDIR) \
+		\! -path '$(CURDIR)/debian/*' -name __pycache__ -type d \
 		-delete
 	# plugins
 	for PLUGIN_NAME in $(UWSGI_PLUGINS_NAMES); do \
@@ -224,11 +235,3 @@
 		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
 	done
 	cp -r $(CURDIR)/vassals $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile
-	for FILE in utest.java; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/jwsgi; \
-	done
-	for FILE in config.ru config2.ru fibers.ru fibers.yml; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/rack; \
-	done
-	for FILE in router.lua uwsgirouter.py uwsgirouter2.py uwsgirouter3.py \
-	            uwsgirouter4.py uwsgirouter5.py; do \
