## uwsgi 0.9.8.3

=== debian/changelog ===
uwsgi (0.9.8.3-2) unstable; urgency=low

  [ Leonid Borisenko ]
  * uwsgi:
    - change location of runtime directory of uWSGI instance
      from: /run/uwsgi/<confname>
      to:   /run/uwsgi/app/<confname>
    - change location of uWSGI instance logfile
      from: /var/log/uwsgi/<confname>.log
      to:   /var/log/uwsgi/app/<confname>.log

  [ Janos Guljas ]
  * uwsgi-plugin-jwsgi-openjdk-6:
    - Change UWSGICONFIG_JVM_INCPATH and UWSGICONFIG_JVM_LIBPATH.
      (Closes: #640347)
    - update lintian-overrides binary-or-shlib-defines-rpath
      for new paths
  * Add myself as maintainer. Many thanks to Leonid Borisenko who did
    a great job of packaging and maintaining this package.

 -- Janos Guljas <janos@resenje.org>  Sun, 01 Jan 2012 21:01:34 +0100

uwsgi (0.9.8.3-1) unstable; urgency=low

  * New upstream version (0.9.8.3)
  * Install file CONTRIBUTORS into docs of all the packages
  * uwsgi:
    - move files with supplementary functions of init.d script from
      /usr/lib/uwsgi/init to /usr/share/uwsgi/init
    - move inherited configuration file from /usr/lib/uwsgi/conf to
      /usr/share/uwsgi/conf
  * uwsgi-core:
    - add new WSGI examples
  * uwsgi-plugin-luajit:
    - build package for armel architecture
  * uwsgi-plugin-python:
    - add Suggests: python-uwsgidecorators
  * uwsgi-plugin-python3:
    - add Suggests: python3-uwsgidecorators
  * python3-uwsgidecorators:
    - extend package description with note about possible improper work of
      uwsgidecorators module on Python 3;
      see http://lists.unbit.it/pipermail/uwsgi/2011-July/002355.html

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Tue, 26 Jul 2011 18:45:32 +0300
