=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: uwsgi
 Section: web
 Priority: extra
-Maintainer: Leonid Borisenko <leo.borisenko@gmail.com>
+Maintainer: Janos Guljas <janos@resenje.org>
 Build-Depends:
  cdbs,
  debhelper (>= 8),
@@ -14,7 +14,7 @@
  libjansson-dev,
  libldap2-dev,
  liblua5.1-0-dev,
- libluajit-5.1-dev [i386 amd64 kfreebsd-i386],
+ libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel],
  libperl-dev,
  libsqlite3-dev,
  libxml2-dev,
@@ -80,7 +80,7 @@
 Architecture: any
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: nginx-full | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
+Suggests: nginx-full | cherokee | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
  uwsgi-plugins-all, uwsgi-extra
 Description: fast, self-healing application container server (core)
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -155,7 +155,7 @@
  uwsgi-plugin-jvm-openjdk-6 (= ${binary:Version}),
  uwsgi-plugin-jwsgi-openjdk-6 (= ${binary:Version}),
  uwsgi-plugin-lua5.1 (= ${binary:Version}),
- uwsgi-plugin-luajit (= ${binary:Version}) [i386 amd64 kfreebsd-i386],
+ uwsgi-plugin-luajit (= ${binary:Version}) [i386 amd64 kfreebsd-i386 armel],
  uwsgi-plugin-psgi (= ${binary:Version}),
  uwsgi-plugin-python (= ${binary:Version}),
  uwsgi-plugin-python3 (= ${binary:Version}),
