## uwsgi 1.0.3+dfsg

=== debian/changelog ===
uwsgi (1.0.3+dfsg-1ubuntu0.1) precise-proposed; urgency=low

  * psgi-link-fix.patch:
    fix linking of psgi plugin with the perl libraries (LP: #1024528)

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 14 Jul 2012 18:21:33 +0200

uwsgi (1.0.3+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Adjust rack plugin LD_RUN_PATH patch.
  * Adjust patch for uWSGI Control Center jQuery links in templates.
  * Remove '-fno-strict-aliasing' CFLAG patch as it is implemented upstream.
  * Remove fix indentation of uwsgidecorators_py patch as implemented upstream.
  * Adjust init scripts to use top-bottom options order, as --inherit option
    is not working as in earlier versions. 
  * Update debian/copyright file.
  * Add LSB Description field to debian/uwsgi.init.d.
  * Set Architecture to "all" for binary package uwsgi-extra because
    it contains no architecture dependent files.
  * Change uwsgi description. (Closes: #640698)
  * New binary packages:
    - uwsgi-plugin-carbon
    - uwsgi-plugin-graylog2
    - uwsgi-plugin-logsocket
    - uwsgi-plugin-probeconnect
    - uwsgi-plugin-probepg
    - uwsgi-plugin-rrdtool
    - uwsgi-plugin-rsyslog
    - uwsgi-plugin-signal
    - uwsgi-plugin-symcall
    - uwsgi-plugin-syslog
  * python-uwsgidecorators:
    - fix binary-install rule to call dh_python2
    - remove debian/source.lintian-overrides
  * uwsgi-plugin-jvm-openjdk-6:
    - fix FTBFS on armel and powerpc (Closes: #656280)
  * uwsgi-plugin-python:
    - document issue "ImportError: No module named site" when using
      virtualenv with Python 2.6 in README.Debian (Closes: #654333)
  * Adjust debian/watch uversionmangle option.
  * Repack upstram source to remove minimized jQuery and jQuery UI JavaScript
    libraries:
    - add get-orig-source rule to debian/rules
    - append +dfsg to upstream version
    - update debian/watch with dversionmangle option

 -- Janos Guljas <janos@resenje.org>  Mon, 13 Feb 2012 03:43:28 +0100
