=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uwsgi
 Section: web
 Priority: extra
-Maintainer: Janos Guljas <janos@resenje.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Janos Guljas <janos@resenje.org>
 Build-Depends:
  cdbs,
  debhelper (>= 8),
@@ -16,6 +17,7 @@
  liblua5.1-0-dev,
  libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel],
  libperl-dev,
+ libpq-dev,
  libsqlite3-dev,
  libxml2-dev,
  libyaml-dev,
@@ -57,7 +59,7 @@
  different plugins can be used in order to add compatibility with tons of
  different technology on top of the same core.
  .
- This package installs uWSGI core binary and:
+ This package depends on uWSGI core binary and installs:
    * init.d script for running uWSGI daemon(s) with options defined in custom
      user-created configuration files
    * infrastructure for running daemons (like common locations of communication
@@ -107,11 +109,16 @@
 Depends: ${misc:Depends},
  uwsgi-infrastructure-plugins (= ${binary:Version}),
  uwsgi-app-integration-plugins (= ${binary:Version}),
+ uwsgi-plugin-carbon (= ${binary:Version}),
  uwsgi-plugin-fiber (= ${binary:Version}),
  uwsgi-plugin-greenlet-python (= ${binary:Version})
    [amd64 i386 mips powerpc s390],
+ uwsgi-plugin-probeconnect (= ${binary:Version}),
+ uwsgi-plugin-probepg (= ${binary:Version}),
  uwsgi-plugin-pyerl-python (= ${binary:Version}),
  uwsgi-plugin-pyerl-python3 (= ${binary:Version}),
+ uwsgi-plugin-signal (= ${binary:Version}),
+ uwsgi-plugin-symcall (= ${binary:Version}),
  uwsgi-plugin-ugreen (= ${binary:Version})
 Description: all available plugins for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
@@ -124,7 +131,8 @@
    * infrastructure plugins (fastrouter, HTTP serving, RPC, etc.)
    * plugins for integration of uWSGI and application (CGI, PSGI, Rack, WSGI,
      etc.)
-   * fiber loop engine, greenlet (Python), pyerl (Python/Python 3), uGreen
+   * carbon, fiber loop engine, greenlet (Python), probeconnect, probepg,
+     pyerl (Python/Python 3), uGreen
 
 Package: uwsgi-infrastructure-plugins
 Architecture: any
@@ -133,10 +141,15 @@
  uwsgi-plugin-cache (= ${binary:Version}),
  uwsgi-plugin-echo (= ${binary:Version}),
  uwsgi-plugin-fastrouter (= ${binary:Version}),
+ uwsgi-plugin-graylog2 (= ${binary:Version}),
  uwsgi-plugin-http (= ${binary:Version}),
+ uwsgi-plugin-logsocket (= ${binary:Version}),
  uwsgi-plugin-nagios (= ${binary:Version}),
  uwsgi-plugin-ping (= ${binary:Version}),
- uwsgi-plugin-rpc (= ${binary:Version})
+ uwsgi-plugin-rpc (= ${binary:Version}),
+ uwsgi-plugin-rrdtool (= ${binary:Version}),
+ uwsgi-plugin-rsyslog (= ${binary:Version}),
+ uwsgi-plugin-syslog (= ${binary:Version})
 Description: infrastructure plugins for uWSGI
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
@@ -145,7 +158,8 @@
  the same core.
  .
  This dependency package provides infrastructure plugins for uWSGI:
-   * admin, cache, echo, fastrouter, HTTP serving, Nagios, ping, RPC
+   * admin, cache, echo, fastrouter, graylog2, HTTP serving, logsocket, Nagios,
+     ping, RPC, RRDTool, rsyslog, syslog
 
 Package: uwsgi-app-integration-plugins
 Architecture: any
@@ -198,6 +212,18 @@
  .
  This package provides cache plugin for uWSGI.
 
+Package: uwsgi-plugin-carbon
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
+Description: carbon plugin for uWSGI
+ uWSGI presents a complete stack for networked/clustered web applications,
+ implementing message/object passing, caching, RPC and process management.
+ It is designed to be fully modular. This means that different plugins can be
+ used in order to add compatibility with tons of different technology on top of
+ the same core.
+ .
+ This package provides carbon plugin for uWSGI.
+
 Package: uwsgi-plugin-cgi
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
@@ -254,29 +280,3 @@
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
  It is designed to be fully modular. This means that different plugins can be
- used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides Ruby 1.9 fiber loop engine plugin for uWSGI. Fibers are
- a form of coroutine, useful for implementing cooperative multitasking in your
- Ruby 1.9.x apps.
-
-Package: uwsgi-plugin-greenlet-python
-Architecture: amd64 i386 mips powerpc s390
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-greenlet,
- uwsgi-plugin-python (= ${binary:Version})
-Description: greenlet plugin for uWSGI (Python)
- uWSGI presents a complete stack for networked/clustered web applications,
- implementing message/object passing, caching, RPC and process management.
- It is designed to be fully modular. This means that different plugins can be
- used in order to add compatibility with tons of different technology on top of
- the same core.
- .
- This package provides greenlet plugin for uWSGI with Python WSGI plugin.
-
-Package: uwsgi-plugin-http
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
-Description: HTTP server plugin for uWSGI
- uWSGI presents a complete stack for networked/clustered web applications,
- implementing message/object passing, caching, RPC and process management.
