=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 APR_CONFIG=/usr/bin/apr-config
 APU_CONFIG=/usr/bin/apu-config
 UWSGI_BUILDER = $(CURDIR)/uwsgiconfig.py
+
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Dotted versions of Python runtimes (like 'X.Y').
 PYTHON_VERS_DOTTED=$(shell pyversions -vs)
@@ -234,5 +236,3 @@
 	done
 	for FILE in mega.xml multi.ini multi.xml sites.xml uwsgi.xml \
 	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples/conffile; \
-	done
