## uwsgi 1.1.2+dfsg

=== Makefile ===
all:
	python uwsgiconfig.py --build

clean:
	python uwsgiconfig.py --clean
