=== debian/changelog ===
uwsgi (1.1.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Fri, 30 Mar 2012 23:46:24 +0200

uwsgi (1.1.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #664890).
  * Add DM-Upload-Allowed control field.
  * Remove debian/patches/python-3.x-fix.patch as applied upstream.

 -- Janos Guljas <janos@resenje.org>  Thu, 22 Mar 2012 17:32:15 +0100

uwsgi (1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/uwsgi-files/init/specific_daemon
     - suppress stderr on do_start_specific_daemon()
  * debian/rules
     - adjust building python2x_plugin.so and python3x_plugin.so
  * Add debian/patches/python-3.x-fix.patch to fix regression introduced
    in 1.1 release.
  * Update debian/copyright Format value. 
  * Bump standards to 3.9.3.

 -- Janos Guljas <janos@resenje.org>  Sat, 17 Mar 2012 21:39:16 +0100
