## uwsgi 1.2.3+dfsg

=== debian/changelog ===
uwsgi (1.2.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/uwsgi.init.d
     - Remove spurious no-op command in init script, thanks to
       Jean-Baptiste Quenot.
  * Use dh_python3 for python3-uwsgidecorators. (Closes: #672193)
  * debian/rules
     - Include Hardening options in CFLAGS, CPPFLAGS and LDFLAGS.

 -- Janos Guljas <janos@resenje.org>  Thu, 10 May 2012 17:14:22 +0200

uwsgi (1.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Mon, 30 Apr 2012 17:35:22 +0200
