=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: uwsgi
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Janos Guljas <janos@resenje.org>
+Maintainer: Janos Guljas <janos@resenje.org>
+DM-Upload-Allowed: yes
 Build-Depends:
  cdbs,
  debhelper (>= 8),
@@ -33,7 +33,7 @@
  ruby1.9.1,
  ruby1.9.1-dev,
  uuid-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.unbit.it/uwsgi/
 Vcs-Git: git://git.debian.org/collab-maint/uwsgi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/uwsgi.git
@@ -280,3 +280,6 @@
  uWSGI presents a complete stack for networked/clustered web applications,
  implementing message/object passing, caching, RPC and process management.
  It is designed to be fully modular. This means that different plugins can be
+ used in order to add compatibility with tons of different technology on top of
+ the same core.
+ .
