=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CFLAGS+=$(shell dpkg-buildflags --get CPPFLAGS)
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 
 # Common variables
 # ================
@@ -232,7 +237,3 @@
 	for FILE in logo_uWSGI.png mongrel2-uwsgi.conf myadmin.py simple_logger.py \
 	            staticfilesnmp.py testsignals.py ugreenchat.py uwsgistatus.py \
 	            websockets.py welcome.py; do \
-		cp $(CURDIR)/$${FILE} $(UWSGI_CORE_DOCS_STAGING_DIR)/examples; \
-	done
-	for FILE in mega.xml multi.ini multi.xml sites.xml uwsgi.xml \
-	            werkzeug_strict.yml werkzeug.js werkzeug.yml; do \
